Package org.apache.avro.generic

# Enum GenericData.StringType

java.lang.Object
java.lang.Enum<GenericData.StringType>
org.apache.avro.generic.GenericData.StringType

All Implemented Interfaces:
  `Serializable`, `Comparable<GenericData.StringType>`

Enclosing class:
  `GenericData`

public static enum GenericData.StringType extends Enum<GenericData.StringType>
Used to specify the Java type for a string schema.

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CharSequence`
`String`
`Utf8`

## Method Summary

Modifier and Type
Method
Description
`static GenericData.StringType`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static GenericData.StringType[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CharSequence

public static final GenericData.StringType CharSequence

### String

public static final GenericData.StringType String

### Utf8

public static final GenericData.StringType Utf8

## Method Details

### values

public static GenericData.StringType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static GenericData.StringType valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null